#!/usr/bin/gnuplot

h = 6.63e-34		# J.s
c = 299782458.		# m/s
k = 1.38e-23		# J/K

cm = 1.e-2		# m
nm = 1.e-9		# m
Ang = 1.e-10		# m
erg = 1.e-7		# J

B(lambda,T) = 2.*h*c**2/lambda**5 * 1 / (exp(h*c/(k*T*lambda)) - 1)

########################################################################
set term x11

set xl "lambda [A]"
set yl "intensity [erg s^-1 cm^-2 A^-1 sr^-1]"

#set xr [8000:11000]
#set xr [800:20000]
set logscale y
set mytics 10

factor = 0.775

#load "wavelengths.lab"

p \
  "BG30000g400v2.vis.7" u 1:2 lc 2 w l,\
  "BG30000g400v2.uv.7"  u 1:2 lc 3 w l,\
  pi*B(x*Ang,30000.) / (erg*cm**(-2)*Ang**(-1)) / (4.*pi)        lc 4 w l,\
  pi*B(x*Ang,30000.) / (erg*cm**(-2)*Ang**(-1)) / (4.*pi)*factor lc 5 w l,\
  "starspec1.abs" u 1:2 w l lc 1 lw 2

pa -1

set term png small
set out "starspec1.png"
rep


