#!/usr/bin/gnuplot

h = 6.63e-34		# J.s
c = 299782458.		# m/s
k = 1.38e-23		# J/K

cm = 1.e-2		# m
nm = 1.e-9		# m
Ang = 1.e-10		# m
erg = 1.e-7		# J

B(lambda,T) = 2.*h*c**2/lambda**5 * 1 / (exp(h*c/(k*T*lambda)) - 1)

########################################################################
set term x11

set xl "lambda [A]"
set yl "intensity [erg s^-1 cm^-2 A^-1 sr^-1]"

set logscale y
set mytics 10
set samples 1000

#load "wavelengths.lab"

p "starspec2_10000.abs" u 1:2 w l,\
  "starspec2_12000.abs" u 1:2 w l,\
  "starspec2_14000.abs" u 1:2 w l,\
  pi*B(x*Ang,13300.) / (erg*cm**(-2)*Ang**(-1)) / (4.*pi) w l lw 2

pa -1

set term png small
set out "starspec2.png"
rep


